Book_1_Chapter_11_Othrongroth = class(Window);

function Book_1_Chapter_11_Othrongroth: GetName()
	return "Book 1, Chapter 11: Othrongroth";
end

function Book_1_Chapter_11_Othrongroth: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_11_Othrongroth: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Capítulo 11: Othrongroth"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Tom Bombadil-32,6S, 57,3W-Tom Bombadil's House-Old Forest");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nO Grande Barrow não é um lugar para corações fracos ou membros frágeis. Criaturas perversas e senhores do mal se divertem em seu terror. Eles nunca pegaram o Velho Tom e nunca irão. Ele é o Mestre!\n\n'Se você estiver indo, Tom vai levá-lo!");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVocê aprendeu com a mulher Andraste que o Senhor dos Nazgûl estava viajando para um lugar chamado Othrongroth. Se você pudesse espionar o Rei Bruxo neste lugar, você poderia aprender mais sobre seus planos.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Fale com Tom Bombadil\nTom Bombadil concordou em mostrar a você o caminho para Othrongroth, um túmulo em Barrow-downs, mas sugeriu que você reúna aliados antes que ele o leve.\n\nTom Bombadil : 'Bem, meu alegre companheiro! Pronto para saltar sobre carrinhos de mão? Traga seus amigos e pule junto. Vamos cantar uma música que fará os Dark Ones chacoalharem.'\nComplete a Instância: Othrogroth\nVocê desbloqueou o filme 'Gandalf Atop Orthanc'.\n2-Fale com Tom Bombadil\nVolte para Tom Bombadil e reivindique sua recompensa.\n\nVocê e seus aliados enfrentaram as profundezas sombrias de Othrongroth e saíram vitoriosos.\n\nTom Bombadil : 'A escuridão está atrás de nós naquela tumba úmida e sombria. Vamos voltar para a luz e sentir o sol em nossos rostos mais uma vez!'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nFale com Tom, de novo e de novo, tanto para entrar como para sair da instância.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_11_Othrongroth:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_11_Othrongroth()); 